Package org.firebirdsql.jna.fbclient

## Class XSQLDA.ByValue

- java.lang.Object
- - com.sun.jna.Structure
  - - org.firebirdsql.jna.fbclient.XSQLDA
    - - org.firebirdsql.jna.fbclient.XSQLDA.ByValue

- All Implemented Interfaces:
    `com.sun.jna.Structure.ByValue`
  Enclosing class:
    XSQLDA

      public static class XSQLDA.ByValue
      extends XSQLDA
      implements com.sun.jna.Structure.ByValue

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.firebirdsql.jna.fbclient.XSQLDA

      `XSQLDA.ByReference, XSQLDA.ByValue`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class org.firebirdsql.jna.fbclient.XSQLDA

      `sqld, sqldabc, sqldaid, sqln, sqlvar, version`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ByValue()` |

  - ### Method Summary

    - ### Methods inherited from class org.firebirdsql.jna.fbclient.XSQLDA

      `getFieldOrder`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByValue

          public ByValue()